<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'SlpPlayIcon',
  props: {
    isActive: {
      type: Boolean,
      default: false,
      required: false,
    },
  },
});
</script>

<template>
  <svg
    width="48"
    height="48"
    viewBox="0 0 48 48"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <circle
      opacity="0.75"
      cx="24"
      cy="24"
      r="24"
      class="container"
      :fill="(isActive && '#7759C2') || '#333333'"
    />
    <path
      d="M19.4339 34.0523C19.2888 34.1455 19.1261 34.2081 18.9559 34.2362C18.7857 34.2642 18.6116 34.2572 18.4442 34.2154C18.2768 34.1737 18.1197 34.0981 17.9827 33.9934C17.8456 33.8887 17.7313 33.757 17.647 33.6065C17.5205 33.3896 17.454 33.1429 17.4546 32.8918V15.979C17.4546 15.2269 18.0358 14.6182 18.7545 14.6182C18.9957 14.619 19.2316 14.6892 19.4339 14.8204L32.5451 23.2758C32.7351 23.404 32.8906 23.5769 32.9982 23.7792C33.1058 23.9816 33.162 24.2072 33.162 24.4363C33.162 24.6655 33.1058 24.8911 32.9982 25.0935C32.8906 25.2958 32.7351 25.4687 32.5451 25.5969L19.4339 34.0523Z"
      fill="white"
    />
  </svg>
</template>

<style lang="scss" scoped>
.container {
  transition: all 0.3s ease-in-out;
}
</style>
